## Namespace content_method

> Procedures regarding content methods

### Method Summary

Listing of public methods:

> content_method::flush_content_methods_cache
> content_method::get_content_methods

### Method Detail

* indicates required

Public Methods:

content_method::flush_content_methods_cache by Michael Pih
Flushes the cache for content_method_types for a given content type. If no content type is specified, the entire content_method_types cache is flushed Parameters:
`content_type` * | The content type, default null

content_method::get_content_methods by Michael Pih
Returns a list of content_methods that are associated with a content type, first checking for a default method, then for registered content methods, and then for all content methods Parameters:
`content_type` * | The content type
Returns: A list of content methods or a list of label-value pairs of content methods if the " -get_labels" option is specified Options:
`get_labels` | Instead of a list of content methods, return a list of label-value pairs of associated content methods.
See Also: content_method::get_content_method_options, content_method::text_entry_filter_sql -

Private Methods:

content_method::get_content_method_options by Michael Pih
Returns a list of label, content_method pairs that are associated with a content type, first checking for a default method, then for registered content methods, and then for all content methods Parameters:
`content_type` * | The content type
Returns: A list of label, value pairs of content methods See Also: content_method::get_content_methods, content_method::text_entry_filter_sql -

content_method::text_entry_filter_sql by Michael Pih
Generate a SQL stub that filters out the text_entry content method Parameters:
`content_type` * |
Returns: SQL stub that possibly filters out the text_entry content method

* indicates required